[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# TCharacter.GetUnicodeCategory

Get the Unicode category of a character

## Declaration

Source position: character.pas line 93

`public class function TCharacter.GetUnicodeCategory(`
`AChar: UnicodeChar`
`):TUnicodeCategory; overload; class function TCharacter.GetUnicodeCategory(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):TUnicodeCategory; overload;`

## Arguments

`AChar` |  | UTF16 Character

## Function result

The Unicode character category

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Description

TCharacter.GetUnicodeCategory returns the Unicode category of a character. The character can be presented in 2 ways: AChar, a UTF16 Unicode character, or a surrogate pair in a Unicode string AString starting at position AIndex.

## Errors

If AIndex is not a valid character index in the string AString, an EArgumentOutOfRangeException exception is raised. If the character at that position is not complete, an EArgumentException exception is raised.

## See also

TUnicodeCategory |  | Unicode code point (character) category